#
# spec file for package kupdateapplet (Version 0.9.9)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           kupdateapplet
BuildRequires:  libkde4-devel
BuildRequires:  cmake >= 2.4.6
License:        GPL
Group:          System/Management
Summary:        openSUSE System Updater Applet (KDE4)
Version:        0.9.9
Release:        0.1.1
Url:            http://en.opensuse.org/KDE_Updater_Applet
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Requires:       kupdateapplet-plugin = 0.9.9
Requires:       oxygen-icon-theme
Requires:       PolicyKit-kde
Recommends:     smolt
%kde4_runtime_requires

# last used in 11.0
Provides:       kde4-opensuse-updater < 0.8
Obsoletes:      kde4-opensuse-updater < 0.8
# last used in 10.3
Provides:       opensuse-updater-kde <= 0.6.5
Obsoletes:      opensuse-updater-kde <= 0.6.5
#last used in 10.2
Provides:       opensuse-updater <= 0.5
Obsoletes:      opensuse-updater <= 0.5
Provides:       kde4-kupdateapplet = 0.9.0
Obsoletes:      kde4-kupdateapplet <= 0.8.42

%description
KDE version of the openSUSE system updater applet

Authors:
--------
    Narayan Newton <narayannewton@gmail.com>
    Duncan Mac-Vicar <dmacvicar@novell.com>
    Martin Vidner <mvidner@novell.com>
    Thomas Goettlicher <tgoettlicher_at_novell.com>

%prep
%setup -q -n %{name}-%{version} 

%build
%cmake_kde4 -d build
%make_jobs

%install
cd build
%makeinstall
cd ..

%suse_update_desktop_file -N "Online Update Applet" kupdateapplet
%suse_update_desktop_file kupdateapplet-autostart
%kde_post_install
%find_lang kupdateapplet

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f kupdateapplet.lang
%defattr(-,root,root)
/usr/bin/kupdateapplet
/usr/sbin/zypper-install
/usr/share/applications/kupdateapplet.desktop
#%dir /usr/share/icons/hicolor/24x24
#%dir /usr/share/icons/hicolor/24x24/apps
/usr/share/icons/hicolor/*/apps/*
/usr/share/icons/oxygen/*/apps/*
%_libdir/libkupdateapplet.so*
/etc/xdg/autostart/kupdateapplet-autostart.desktop
/usr/share/kde4/apps/kupdateapplet
/usr/share/kde4/config.kcfg/kupdateapplet_settings.kcfg
/usr/share/kde4/servicetypes/kupdateapplet_plugin.desktop
/usr/share/kde4/apps/kupdateapplet/kupdateapplet.notifyrc

# files for the dummy plugin
#%_libdir/kde4/kupdateapplet_interactive.so
#/usr/share/kde4/services/kupdateapplet_interactive.desktop

############################

%package packagekit
License:        GPL
Group:          System/Management
Summary:        packagekit plugin for KDE updater applet 
Requires:       PackageKit  >= 0.5.1
Provides:       kupdateapplet-plugin = 0.9.9
Provides:       kde4-kupdateapplet-packagekit = 0.9.0
Obsoletes:      kde4-kupdateapplet-packagekit <= 0.8.42
Recommends:     polkit-gnome
#Recommends:     PolicyKit-kde (see: bnc# 551648)

%description packagekit
PackageKit plugin for KDE updater applet for OpenSUSE

%files packagekit
%defattr(-,root,root)
%_libdir/kde4/kupdateapplet_packagekit.so
/usr/share/kde4/services/kupdateapplet_packagekit.desktop

############################

%package zypp
License:        GPL
Group:          System/Management
Summary:        zypp plugin for KDE updater applet 
Requires:       zypper >= 0.12.11
Provides:       kupdateapplet-plugin = 0.9.9
Provides:       kde4-kupdateapplet-zypp = 0.9.0
Obsoletes:      kde4-kupdateapplet-zypp <= 0.8.42

%description zypp
zypp plugin for KDE updater applet for OpenSUSE

%files zypp
%defattr(-,root,root)
%_libdir/kde4/kupdateapplet_zypp.so
/usr/share/kde4/services/kupdateapplet_zypp.desktop


############################
%changelog
* Mon Feb 22 2010 tgoettlicher@suse.de
- fixed packagekit transaction id errors while installation of a
  lot packages at the same time (bnc: 580529)
- V 0.9.9
* Tue Feb 16 2010 tgoettlicher@suse.de
- enabled applet to show feature maintenance updates (bnc #579501)
- V 0.9.8
* Thu Feb 11 2010 tgoettlicher@suse.de
- added license headers
* Thu Feb  4 2010 tgoettlicher@suse.de
- updated translations
- V 0.9.7
* Thu Jan 21 2010 tgoettlicher@suse.de
- bnc #570615: improved distro upgrade notifications
- V 0.9.6
* Tue Jan  5 2010 tgoettlicher@suse.de
- fixed bnc #447868: columns in detail view not autosized
  ... inspired by Amol's patch
- V 0.9.5
* Mon Nov  2 2009 tgoettlicher@suse.de
- fixed polkit dependency
- V 0.9.4
* Tue Oct 27 2009 tgoettlicher@suse.de
- updated translations
- V 0.9.3
* Tue Sep 29 2009 tgoettlicher@suse.de
- removed check for update repos from packagekit backend
- V 0.9.2
* Mon Sep 21 2009 tgoettlicher@suse.de
- changed call "yast2 online_update_configuration" to "yast2 inst_source"
- V 0.9.1
* Fri Sep 18 2009 dmacvicar@novell.com
- sync with PackageKit 0.5.1 API
- fixes error
  "DBus error : org.freedesktop.DBus.Error.UnknownMethod : Method
  "UpdatePackages" with signature "as" on interface
  "org.freedesktop.PackageKit.Transaction" doesn't exist "
  (bnc #535431)
- remove PolicyKit dependencies, this is now handled by
  PackageKit itself.
- V 0.9.0
* Thu Sep 17 2009 tgoettlicher@suse.de
- updated translations
- V 0.8.43
* Thu Jul 16 2009 tgoettlicher@suse.de
- Changed "Name=Online Update Applet" in .desktop files
* Tue Jul 14 2009 beineri@opensuse.org
- drop kde4- package prefixes
* Tue Apr  7 2009 tgoettlicher@suse.de
- Fixed bnc #483230: installation of all updates even if only few selected
- V 0.8.42
* Mon Mar  9 2009 tgoettlicher@suse.de
- Fixed missing requirement PolicyKit-kde (bnc #479191)
- Fixed not shown icon (bnc #480530)
- Fixed badly formated licence agreement (bnc #480294)
- V 0.8.41
* Mon Mar  2 2009 tgoettlicher@suse.de
- bnc #461206: Fixed html tags in patch description
- V 0.8.40
* Fri Feb  6 2009 tgoettlicher@suse.de
- Updated translations
- V 0.8.39
* Fri Jan 23 2009 tgoettlicher@suse.de
- Updated translations
- V 0.8.38
* Wed Jan 21 2009 tgoettlicher@suse.de
- Applied Stephan Binner's patch
- V 0.8.37
* Fri Jan  9 2009 tgoettlicher@suse.de
- Updated translations
- V 0.8.36
* Mon Dec 15 2008 tgoettlicher@suse.de
- Recommend PolicyKit-kde for policykit plugin
- Updated translations
- V 0.8.35
* Thu Dec  4 2008 tgoettlicher@suse.de
- Fixed wording
* Thu Dec  4 2008 tgoettlicher@suse.de
- Updated translations
* Thu Dec  4 2008 tgoettlicher@suse.de
- Fixed duplicates in update list after installation ofi
  packages with eula dialog (bnc #456778).
- Updated translations.
- V 0.8.34
* Tue Dec  2 2008 tgoettlicher@suse.de
- Fixed bnc #450184: install hangs at 100%%
- Fixed misleading packagekit error when zypp is locked
- V 0.8.33
* Mon Dec  1 2008 tgoettlicher@suse.de
- Updated translations
- V 0.8.32
* Mon Dec  1 2008 tgoettlicher@suse.de
- Postpone smolt call until smolt is fixed
  (/usr/run/smolt_do_opensuse_run) (bnc #450104)
- Fixed don't ask again in smolt notification (bnc #450326)
- Fixed multiple popups (bnc #447993)
- Fixed applet blocked when no network connection (bnc #450255)
- Fixed accept of eula dialog
- V 0.8.31
* Fri Nov 28 2008 tgoettlicher@suse.de
- Fixed packagekit driver search (bnc #447993)
- Fixed reboot popup is in two languages (bnc #450006)
- V 0.8.30
* Wed Nov 26 2008 tgoettlicher@suse.de
- Fixed policykit errors on first try (bnc #449157)
- V 0.8.29
* Tue Nov 25 2008 tgoettlicher@suse.de
- Fixed error popup while driver search (bnc #447993)
- V 0.8.28
* Mon Nov 24 2008 tgoettlicher@suse.de
- Fixed distro upgrade call (/usr/sbin/wagon)
- V 0.8.27
* Fri Nov 21 2008 tgoettlicher@suse.de
- Updated translations
- Fixed bnc #445725: Call %%suse_update_desktop_file on desktop files
- V 0.8.26
* Thu Nov 20 2008 tgoettlicher@suse.de
- Fixed bnc #442504: icon for optional updates
- V 0.8.25
* Tue Nov 18 2008 tgoettlicher@suse.de
- Fixed frozen gui caused by blocking PolicyKit::getAuth call
- V 0.8.24
* Thu Nov 13 2008 tgoettlicher@suse.de
- Fixed bnc 444127: kupdateapplet shows error when license is requested
- V 0.8.23
* Mon Nov 10 2008 tgoettlicher@suse.de
- Fixed bnc #421348: multiple Repository Signature Required messages
- V 0.8.22
* Fri Nov  7 2008 tgoettlicher@suse.de
- Updated translations
- V 0.8.21
* Wed Nov  5 2008 tgoettlicher@suse.de
- fixed bnc #441816: resize after click on install button
- V 0.8.20
* Tue Nov  4 2008 tgoettlicher@suse.de
- Fixed packagekit license dialog
- Updated translations
- V 0.8.19
* Fri Oct 31 2008 tgoettlicher@suse.de
- Fixed notifications
- V 0.8.18
* Thu Oct 30 2008 tgoettlicher@suse.de
- Fixed dependencies
- V 0.8.17
* Thu Oct 30 2008 tgoettlicher@suse.de
- Improved PolicyKit getAuth call
- V 0.8.16
* Wed Oct 29 2008 tgoettlicher@suse.de
- Fixed error handling in packagkit plugin
- Fixed dependencies in spec file
- V 0.8.15
* Mon Oct 27 2008 tgoettlicher@suse.de
- Added --no-cd option to zypper backend (bnc #336211)
- Fixed missing dependency for oxygen icon theme
- Changed smolt call
- V 0.8.14
* Fri Oct 24 2008 tgoettlicher@suse.de
- Improved debug logging
- V 0.8.13
* Wed Oct 22 2008 tgoettlicher@suse.de
- Fixed plural translations
- Fixed untranslated error when zypp-refresh fails
- updated translations
- V 0.8.12
* Wed Oct  8 2008 tgoettlicher@suse.de
- updated translations
* Tue Oct  7 2008 tgoettlicher@suse.de
- removed check whether registration did run
- V 0.8.11
* Thu Oct  2 2008 tgoettlicher@suse.de
- added PolkitClient::getAuth call to packagekit plugin
- V 0.8.10
* Mon Sep 29 2008 tgoettlicher@suse.de
- updated translations
- V 0.8.9
* Mon Sep 29 2008 tgoettlicher@suse.de
- adapted PackageKit whatprovides drivers to new syntax
* Fri Sep 19 2008 tgoettlicher@suse.de
- added feature: send system profile notification
- updated translations
* Thu Sep 18 2008 tgoettlicher@suse.de
- added feature: distro upgrade
- V 0.8.8
* Tue Sep 16 2008 tgoettlicher@suse.de
- fate #303677: hardware driver installation with packagekit
- V 0.8.7
* Fri Aug 22 2008 tgoettlicher@suse.de
- Changed wording
* Wed Aug 20 2008 tgoettlicher@suse.de
- stop PackageKit deamon before calling YaST
- V 0.8.6
* Tue Aug 19 2008 tgoettlicher@suse.de
- imporved notifications
* Mon Aug 18 2008 tgoettlicher@suse.de
- enabled support for packagekit message signal
- enhanced hardware search
- V 0.8.5
* Fri Aug 15 2008 tgoettlicher@suse.de
- ported to packagekit 0.2.4
* Fri Aug 15 2008 tgoettlicher@suse.de
- fixed notifications
* Wed Aug 13 2008 tgoettlicher@suse.de
- listen to packagekit's restart signal (fate #304889)
- V 0.8.4
* Thu Aug  7 2008 tgoettlicher@suse.de
- fixed limited number of updates at a time in zypper plugin
  (bnc #414284)
- V 0.8.3
* Mon Jul 28 2008 tgoettlicher@suse.de
- fixed menu entry in kde3 (bnc #493473)
* Mon Jul 28 2008 tgoettlicher@suse.de
- fixed keyboard input (bnc #394369)
* Wed May 28 2008 dmacvicar@suse.de
- bnc#389765 remove tab from zypper install
* Mon May 26 2008 tgoettlicher@suse.de
- updated translations
- V 0.7.17
* Fri May 23 2008 tgoettlicher@suse.de
- Applied patch that fixes configuration
- updated translations
- V 0.7.16
* Fri May 23 2008 tgoettlicher@suse.de
- fixed check for zypper return value
- V 0.7.15
* Fri May 23 2008 tgoettlicher@suse.de
- fixed bnc 392770: no button to call piwo in detailed view
- fixed flickering progress popup
- V 0.7.14
* Wed May 21 2008 tgoettlicher@suse.de
- V 0.7.13
* Tue May 20 2008 tgoettlicher@suse.de
- fixed bnc #390772: icon in config dialog missing
- fixed bnc #391356: adapt package kit backend to new api
* Mon May 19 2008 tgoettlicher@suse.de
- fixed bnc #390628: popup doesn't stay with it, when systray fills.
* Mon May 19 2008 tgoettlicher@suse.de
- fixed bnc #390864: doesn't notice if power plugged in
* Thu May 15 2008 tgoettlicher@suse.de
- fixed error message handling while refreshing repos (bnc #389524)
* Thu May 15 2008 tgoettlicher@suse.de
- fixed i18n call
* Fri May  9 2008 tgoettlicher@suse.de
- updated icon
- V 0.7.12
* Fri May  9 2008 tgoettlicher@suse.de
- fixed typo
* Fri May  9 2008 tgoettlicher@suse.de
- updated translations
* Wed May  7 2008 tgoettlicher@suse.de
- added method that triggers last action to packagekit plugin
- V.0.7.11
* Wed May  7 2008 tgoettlicher@suse.de
- fixed dependencies in spec file
- V 0.7.10
* Tue May  6 2008 tgoettlicher@suse.de
- V 0.7.9
* Fri May  2 2008 tgoettlicher@suse.de
- fixed progress popups (bnc #381299)
* Wed Apr 30 2008 tgoettlicher@suse.de
- fixed zypper lock if no network is available (#385107)
* Tue Apr 29 2008 tgoettlicher@suse.de
- fixed encoding (bnc #381288)
- V 0.7.8
* Tue Apr 29 2008 tgoettlicher@suse.de
- changed autostart mechanism for compatibility with kde3 and kde4
- V 0.7.7
* Tue Apr 29 2008 tgoettlicher@suse.de
- packagekit backend: check whether registration did run (fate #303359)
- V 0.7.6
* Mon Apr 28 2008 tgoettlicher@suse.de
- updated translations
- V 0.7.5
* Fri Apr 25 2008 tgoettlicher@suse.de
- zypp backend: check whether registration did run (fate #303359)
* Thu Apr 24 2008 tgoettlicher@suse.de
- zypp backend: calls refresh before checking for updates (bnc #345425)
* Wed Apr 23 2008 tgoettlicher@suse.de
- enabled packagekit backend for packagekit 0.2.0
- V 0.7.4
* Tue Apr 22 2008 tgoettlicher@suse.de
- changed wording (bnc #381756)
* Fri Apr 18 2008 tgoettlicher@suse.de
- changed call inst_suse_register if installation isn't finished
* Tue Apr 15 2008 tgoettlicher@suse.de
- fixed default plugin name
- V 0.7.3
* Mon Apr 14 2008 tgoettlicher@suse.de
- updated translations
- added packagekit backend
- V 0.7.2
* Mon Mar 31 2008 tgoettlicher@suse.de
- renamed zypper-install script for parallel installation to kde3
  updater
- V 0.7.1
* Mon Mar 31 2008 tgoettlicher@suse.de
- improved communication with zypper
- added fate #303359
- fixed icons
* Thu Mar 20 2008 tgoettlicher@suse.de
- fixed application exit when config dialog is closed
- removed call of zypp-checkpatches-wrapper
- minor fixes
- clean up
* Mon Mar 10 2008 dmueller@suse.de
- fix crash when opensuse-updater-kde is also installed
* Sat Mar  8 2008 dmueller@suse.de
- porting to KDE 4 (V 0.7.0)
* Thu Jan 24 2008 tgoettlicher@suse.de
- Added check for battery state before checking for updates (fate #302960)
- V 0.6.5
* Mon Jan 21 2008 tgoettlicher@suse.de
- Added check for system load before checking for updates (fate #302960)
* Mon Jan 21 2008 tgoettlicher@suse.de
- Show a more understandable message when no network is available
* Mon Jan 14 2008 tgoettlicher@suse.de
- fixed crash when selecting upgrade while refreshing (#353515)
- V 0.6.4
* Wed Jan  2 2008 tgoettlicher@suse.de
- applied timing patch
- V 0.6.3
* Wed Jan  2 2008 tgoettlicher@suse.de
- fixed initialized pointer (#348614)
- r8174
* Fri Nov 23 2007 tgoettlicher@suse.de
- fixed confusing wording update v upgrades (#335566)
- r7901
* Thu Nov 15 2007 tgoettlicher@suse.de
- added option to enable/disable icon animation when checking
- r7827
* Thu Nov 15 2007 tgoettlicher@suse.de
- fixed update check starts again with new kde session (#331651)
- r7825
* Fri Nov  9 2007 tgoettlicher@suse.de
- added option to always show the details (#305109)
- r7771
* Wed Nov  7 2007 tgoettlicher@suse.de
- enhanced "add/remove update-reporsitory" functionality (#334499)
- r7748
* Fri Nov  2 2007 tgoettlicher@suse.de
- fixed outdated pot and localisation problems (#330449) (#328079)
- r7736
* Tue Oct 30 2007 tgoettlicher@suse.de
- fixed configdialog's translations (#333573)
- r7715
* Mon Oct 29 2007 tgoettlicher@suse.de
- fixed several utf8 issues (#327311)
- r7684
* Thu Oct 25 2007 tgoettlicher@suse.de
- fixed keyboard usage problem with selection list (#336546)
- r7633
* Thu Oct 25 2007 tgoettlicher@suse.de
  fixed odd position of "Install" button (#329661)
- r7627
* Tue Sep 25 2007 tgoettlicher@suse.de
- prevent command injection
- r7383
* Tue Sep 25 2007 tgoettlicher@suse.de
- fixed /tmp problem in zypper_install (#327367)
- r7370
* Mon Sep 24 2007 tgoettlicher@suse.de
- updated translations
- r7348
* Mon Sep 24 2007 tgoettlicher@suse.de
- fixed /tmp problem in zypper_install (#327367)
- r7346
* Fri Sep 21 2007 tgoettlicher@suse.de
- updated translations (#326827)
- r7321
* Thu Sep 20 2007 tgoettlicher@suse.de
- fixed nothing happens if "Add/update remote sources" is selected
- r7313
* Tue Sep 18 2007 tgoettlicher@suse.de
- altered call of zypper (relates to #309267)
- r7285
* Mon Sep 17 2007 tgoettlicher@suse.de
- updated translations
- r7257
* Fri Sep 14 2007 tgoettlicher@suse.de
- updated translations
- r7244
* Fri Sep 14 2007 tgoettlicher@suse.de
- fixed details dialog not really usable without mouse (#310369)
- r7242
* Wed Sep 12 2007 tgoettlicher@suse.de
- updated icons
- r7201
* Mon Sep 10 2007 tgoettlicher@suse.de
- fixed declining license does not abort (#308985)
- r7162
* Fri Sep  7 2007 tgoettlicher@suse.de
- updated translations
- r7148
* Fri Sep  7 2007 tgoettlicher@suse.de
- fixed opensuse-updater should also offer Recommend updates by default (#308550)
- r7138
* Thu Sep  6 2007 tgoettlicher@suse.de
- fixed duplicated text in error message (#308125)
- r7130
* Thu Sep  6 2007 tgoettlicher@suse.de
- fixed notification area of opensuse-updater-kde goes out of the display boundaries (#307661)
- fixed bug in internal states
- r7120
* Wed Sep  5 2007 tgoettlicher@suse.de
- added state "no network" with gray tray icon
- r7105
* Mon Sep  3 2007 tgoettlicher@suse.de
- changed call of "yast2 inst_source" to "yast2 repositories"
- r7088
* Mon Sep  3 2007 tgoettlicher@suse.de
- updated translations
- r7079
* Mon Sep  3 2007 tgoettlicher@suse.de
- fixed bug that prevented install of pkg-mgr-patch
- r7078
* Fri Aug 31 2007 tgoettlicher@suse.de
- improved error handling
- r7046
* Thu Aug 30 2007 tgoettlicher@suse.de
- fixed opensuse kde steal focus (#305522)
- r7001
* Wed Aug 29 2007 tgoettlicher@suse.de
- fixed "Updating..." progress popup is disturbing (#304338)
- r6962
* Wed Aug 29 2007 tgoettlicher@suse.de
- updated translations
- r6959
* Mon Aug 27 2007 tgoettlicher@suse.de
- version 0.6
- r6896
- r6897
* Mon Aug 27 2007 tgoettlicher@suse.de
- fixed opensuse-updater reminds you of updates way too
  frequently by default (#304716)
- r6886
- r6888
* Fri Aug 24 2007 tgoettlicher@suse.de
- fixed installation of icons in incorrect size (#304157)
- r6865
* Fri Aug 24 2007 tgoettlicher@suse.de
- updated translations
- r6857
* Thu Aug 23 2007 tgoettlicher@suse.de
- fixed overlong error message (#247195)
- r6849
* Thu Aug 23 2007 tgoettlicher@suse.de
- fixed wrong button on icon (#303621)
- r6826.
* Wed Aug 22 2007 tgoettlicher@suse.de
- fixed tray icon for optional updates (#298946)
- r6809
* Tue Aug 21 2007 tgoettlicher@suse.de
- unification and cleanup of xml
- r6799
* Mon Aug 20 2007 tgoettlicher@suse.de
- updated translations
- r6752
* Mon Aug 20 2007 tgoettlicher@suse.de
- fixed typo
- r6751
* Fri Aug 17 2007 tgoettlicher@suse.de
- updated translations
- r6729
* Thu Aug 16 2007 tgoettlicher@suse.de
- fixed missing error handling
- added work around for zypper install
- r6712
* Thu Aug 16 2007 tgoettlicher@suse.de
- fixed "Check Now" active while checking
- r6706
* Thu Aug 16 2007 tgoettlicher@suse.de
- fixed typo in in configuration dialog (#300915)
- r6696
* Wed Aug 15 2007 tgoettlicher@suse.de
- fixed license window not big enough
- r6675
* Wed Aug 15 2007 tgoettlicher@suse.de
- fixed active "Install" button does nothing case
- r6670
* Wed Aug 15 2007 tgoettlicher@suse.de
- added config switch for display of notifications
- prevent chaning show/hide of notifications
- r6664
- r6663
* Wed Aug 15 2007 tgoettlicher@suse.de
- fixed opensuseupdater-kde shows config dialog on startup
- r6657
* Tue Aug 14 2007 tgoettlicher@suse.de
- fixed .po errors 300180
- r6636
* Fri Aug 10 2007 tgoettlicher@suse.de
- fix bug in config dialog
* Fri Aug 10 2007 tgoettlicher@suse.de
- fix tracker for problems of popup-dialog: button order (#297588)
- fix problematic representation when only optional updates are
  available (#298946)
- r6567
* Fri Aug 10 2007 tgoettlicher@suse.de
- fix typo in popup dialog text
- r6562
* Fri Aug 10 2007 tgoettlicher@suse.de
- fix opensuseupdater-kde never autostarts (#298877)
- r6560
* Thu Aug  9 2007 tgoettlicher@suse.de
- some changes for zypp_traditional
- r6554
* Wed Aug  8 2007 tgoettlicher@suse.de
- some text changes
- pot file update
- r6530
* Tue Aug  7 2007 tgoettlicher@suse.de
- added state unknown when no update sources are defined (fate# 300635)
- r6508
* Mon Aug  6 2007 tgoettlicher@suse.de
- better error handling when loading of plugin fails
- r6495
* Mon Aug  6 2007 tgoettlicher@suse.de
- fix "tracker for problems of popup-dialog" (#29758)
- r6486
* Mon Aug  6 2007 tgoettlicher@suse.de
- fix .desktop files contain wrong app name (#297585)
- r6483
* Fri Aug  3 2007 tgoettlicher@suse.de
- opensuse-updater talks xml with zypper now
* Mon Jul 30 2007 tgoettlicher@suse.de
- add recurring notification
* Thu Jul 12 2007 coolo@suse.de
- fix desktop file
* Mon Jul  2 2007 tgoettlicher@suse.de
- fixed opensuseupdater says there is one update, fires YOU, and this says there is none. (#279355)
- r5861
* Mon Jun 11 2007 tgoettlicher@suse.de
- Fixed opensuseupdater detail window uses default icon (#279879)
- r5726
* Wed May 23 2007 tgoettlicher@suse.de
- fix doesn't refresh (to no updated needed) after update installed (#227795)
- r5601
* Fri Apr 20 2007 tgoettlicher@suse.de
- remove feature "details...." button to update notification (#230121) added in r5394
- r5423
* Thu Apr 19 2007 tgoettlicher@suse.de
- fix should wait for initial update until (K)NetworkManager has established
  connection (#231203)
- r5410
* Tue Apr 17 2007 tgoettlicher@suse.de
- add "details...." button to update notification (#230121)
- r5394
* Mon Apr 16 2007 tgoettlicher@suse.de
- fix some translations lost/missing (#229225)
- r5384
* Fri Apr 13 2007 tgoettlicher@suse.de
- Small string change "Check now..." => "Check Now"
- r5370
* Thu Apr 12 2007 tgoettlicher@suse.de
- fix missing one German translation (#244583)
- r5359
* Thu Apr 12 2007 tgoettlicher@suse.de
- fix i18n issues caused by changing PROGRAM_NAME
- r5352
* Wed Apr 11 2007 tgoettlicher@suse.de
- fix unfortune default column width (#262332)
- r5334
* Wed Apr 11 2007 tgoettlicher@suse.de
- fix text cut off (#220870)
- r5330
* Tue Apr 10 2007 tgoettlicher@suse.de
- fix warning message on STDOUT (224548)
- r5325
* Tue Apr 10 2007 tgoettlicher@suse.de
- fix Software strings / Window names (#221236)
- r5323
* Tue Apr 10 2007 tgoettlicher@suse.de
- moved to svn.opensuse.org
- fix text cut off (#220870)
- r5321
* Tue Mar 27 2007 dmacvicar@suse.de
- remove some useless files from the tarbal
- r500
* Mon Dec 11 2006 dmacvicar@suse.de
- fix yast paths (#224566 - reopened)
- add basic infrastructure for cleanup at exit, not done yet
- r494
* Thu Nov 30 2006 dmacvicar@suse.de
- Use xfg-su copy to launch yast (#224566)
- disable selection of updates for backends
  which don't support it (ie: zypp)
- fix iconname in specfile
- r492
* Mon Nov 27 2006 dmacvicar@suse.de
- enable install button when updates are available (#218182)
- provide icon in various sizes, they doesn't look bad scaled now.
- new busy icon, which look different than the not-found con.
- r482
* Fri Nov 24 2006 dmacvicar@suse.de
- fix closeEvent, to not block logout if applet is maximized.
  Patch by wstephenson
- r474
* Thu Nov 23 2006 dmacvicar@suse.de
- did the fix in wring desktop file
- r472
* Thu Nov 23 2006 dmacvicar@suse.de
- applet opens its window on desktop login (#222478), real fix
- r470
* Tue Nov 21 2006 dmacvicar@suse.de
- fix bug number in changes file for bug 222478
* Tue Nov 21 2006 dmacvicar@suse.de
- (#222553) opensuse-updater context menu mixed up
- recycle strings for the passive popup.
- r467
* Mon Nov 20 2006 dmacvicar@suse.de
- (#222554) opensuseupdater.desktop misspell and duplication
- (#221850) passive notifications, patch by
  Benjamin Weber <benji.weber@gmail.com>, thanks!
- r465
* Mon Nov 20 2006 dmacvicar@suse.de
- applet opens its window on desktop login (#222478)
- show no updates icon (#222485)
- new translations
- r461
* Thu Nov 16 2006 dmacvicar@suse.de
- Dont use xmlrpc over http, but direct to the socket.
  (#218468). Zenworks backend working again.
- r457
* Tue Nov 14 2006 dmacvicar@suse.de
- fix autostart (#220209)
- allow checking from the UI (#219954)
- use KDE's network service to skip check if offline (#220193)
- r455
* Fri Nov 10 2006 dmacvicar@suse.de
- new icons by the Interfaces and Applications team.
- r452
* Thu Nov  9 2006 dmacvicar@suse.de
- fix message extraction
- r450
* Thu Nov  9 2006 dmacvicar@suse.de
- Complain if can't launch the helper
- Use plural and .arg() for translations
- extract strings from ui fles
- r448
* Tue Nov  7 2006 dmacvicar@suse.de
- add translations
- r445
* Fri Nov  3 2006 dmacvicar@suse.de
- fix reading backend on startup
- version 0.4
- r442
* Tue Oct 24 2006 dmacvicar@suse.de
- missing kcfg file in spec file
- r438
* Tue Oct 24 2006 dmacvicar@suse.de
- fixed tarball submission
* Mon Oct 23 2006 dmacvicar@suse.de
- string fixes
- Use KConfigXT and KConfigDialog instead of
  a plain QWidget for general settings
- r435
* Thu Oct 19 2006 dmacvicar@suse.de
- show sources in list
- show error descriptions
- r433
* Wed Oct 18 2006 dmacvicar@suse.de
- show the right status
- r429
* Wed Oct 18 2006 dmacvicar@suse.de
- start the check at startup
- r423
* Thu Oct 12 2006 dmacvicar@suse.de
- revision 405 with support for direct system access
  via zypp
* Wed Aug 30 2006 stbinner@suse.de
- fix build
* Tue Aug 29 2006 dmacvicar@suse.de
- revision 390
